Skip to navigation

✨ Get activity logs

Retrieve activity logs filtered by workspace, project, user, HTTP method, date range or search query.

Authentication

AuthorizationToken

The token (or API key) must be passed as a request header. You can find your user token on the User Account page in Label Studio. Example:

curl https://label-studio-host/api/projects -H “Authorization: Token [your-token]”

Query parameters

end_datestringOptional

End date/time (ISO-8601) for log filtering.

methodenumOptionalDefaults to all
HTTP request method used in the log.
orderingstringOptional
Which field to use when ordering the results.
pageintegerOptional

[or “start”] Current page index.

page_sizeintegerOptional

[or “length”] Logs per page, use -1 to obtain all logs (might be slow).

projectintegerOptional
Project ID to filter logs.
searchstringOptional

Search expression using “AND”/“OR” to filter by request URL.

start_datestringOptional

Start date/time (ISO-8601) for log filtering.

userintegerOptional
User ID to filter logs.
workspaceintegerOptional
Workspace owner ID to filter logs.

Response

Activity logs
datalist of objects
recordsFilteredinteger
recordsTotalinteger

Errors

404
Not Found Error